Subject: Re: New widget "transpose-segments"
From: Sebastian Gniazdowski <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Sat, 9 Jan 2016 16:55:00 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

I've updated the code to support swapping segments across new lines:

https://asciinema.org/a/1rg6zqgzsduenjnuuc1dvhz50

Will this be commited?

Best regards,
Sebastian Gniazdowski

On 9 January 2016 at 12:03, Sebastian Gniazdowski
<[email-masked]> wrote:
> Hello
> I've attached a new widget "transpose-segments". Works like
> "transpose-words", but the "words" are what I call "segments" – parts
> of a command obtained by (z) flag. This allows to comfortably swap
> arbitrarily quoted things at prompt,
>
> http://asciinema.org/a/5tkda9lr7dju4lh3vt5sj35wi
>
> Can this be commited?
>
> Best regards,
> Sebastian Gniazdowski